Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Exemple:")
(Updating to match new version of source page)
Line 26: Line 26:
  
 
Exemple:
 
Exemple:
 +
<syntaxhighlight>
 
  import FreeCAD, Arch, Draft, Part
 
  import FreeCAD, Arch, Draft, Part
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 31: Line 32:
 
  box = Part.makeBox(1,1,1)
 
  box = Part.makeBox(1,1,1)
 
  Arch.addComponents(box,wall)
 
  Arch.addComponents(box,wall)
 +
</syntaxhighlight>
  
 
<languages/>
 
<languages/>

Revision as of 00:25, 29 November 2013

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents (objectsList,hostObject): 
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter fenêtres à un mur, ou murs à un niveau.
  • Returns nothing.

Exemple:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語